#include <bits/stdc++.h>
#define all(x) x.begin(), x.end()
#define die(x) { cout << x; return 0; }
#define int lint

using namespace std;
typedef long long lint;
typedef long long ll;
typedef pair<int, int> pii;
const int inf = 1000*1000*1000 + 7;

int binpow(int a, int b) {
    int res = 1;
    while (b) {
        if (b&1) res *= a;
        a *= a;
        b >>= 1;
    }
    return res;
}

set<int> nums;

signed main() {
    cin.tie(0); cout.tie(0); ios_base::sync_with_stdio(0);

    string s;
    getline(cin, s);
    stringstream ss(s);
    int x;

    while (ss >> x) nums.insert(x);
    cin >> s;

    int ans = 0, k = 10 - nums.size(), n = s.size();
    for (int i = 0; i < n; i++)
        for (int c = 0; c < s[i]-'0'; c++)
            if (!nums.count(c))
                ans += binpow(k, n-1-i);

    if (nums.count(0))
        for (int i = 1; i < n; i++)
            ans += binpow(k, i);

    cout << ans;

    return 0;
}
